Subject: Re: [X2Go-Dev] Bug#744: user-local keystrokes.cfg does not work

From: Mike Gabriel <[email-masked]>
Date: Mon, 19 Jan 2015 08:35:49 +0000

Control: tag -1 patch

Hi Horst,

On  Fr 16 Jan 2015 15:11:05 CET, Horst Schirmeier wrote:

> On Thu, 15 Jan 2015, Mike Gabriel wrote:
>> >Do we actually WANT to make ~/.nx/foo override /etc/x2go/foo *for
>>
>> First: We want to allow users to override system-wide settings by
>> user settings.
>>
>> >x2goagent*? Or do we rather want to get rid of ~/.nx and /etc/nxagent
>> >entirely within x2go components (which, really, would make some sort of
>> >sense, especially if $SOMETHING created ~/.nx/config/keystrokes.cfg and
>> >users wonder why /etc/x2go/keystrokes.cfg does not take any effect.)
>>
>> This indeed is a bit of a drama, I agree.
>>
>> 1. We want to provide NX-X11 to people who still use NX (e.g. FreeNX).
>>
>> To provide this, we have to think generically here. Paths like ~/.nx
>> or /etc/nxagent/ are hard-coded in NX-X11 and nxagent and I think
>> that is ok. All X2Go'ish paths should be overridden via env vars or
>> otherwise.
>>
>> In nxagent, there is some code that checks ARGV[0] (== nxagent? ==
>> x2goagent?) and triggers the branding of start-up screens of desktop
>> sessions (the gray X2GO logo).
>>
>> Maybe for setting paths (esp. ~/.x2go/keystrokes.cfg), some similar
>> mechanism should be used?
>
> How about this variant?
>
> patch for x2go-specific keystroke configuration files, enable user-local
> keystrokes.cfg
> ---
>  ...agent_x2go-specific-keystroke-config.full.patch | 22  
> ++++++++++++++++++++++
>  debian/patches/series                              |  1 +
>  debian/wrappers/x2goagent                          |  3 ---
>  3 files changed, 23 insertions(+), 3 deletions(-)
>  create mode 100644  
> debian/patches/321_nxagent_x2go-specific-keystroke-config.full.patch
>
> diff --git  
> a/debian/patches/321_nxagent_x2go-specific-keystroke-config.full.patch  
> b/debian/patches/321_nxagent_x2go-specific-keystroke-config.full.patch
> new file mode 100644
> index 0000000..8ab4f93
> --- /dev/null
> +++ b/debian/patches/321_nxagent_x2go-specific-keystroke-config.full.patch

> [...]

The patch looks ok. However, two things...

(1) can you re-send that patch as an attachment (not as an inline  
text)? (I have been struggling with extracting inline patches from  
mail bodies in the past with a lot of hassle on my side, so I am  
prophylactically asking without even having tried to apply your  
sent-in (inline-text) patch).

(2) I am tempted to merge that patch into patch 320. Would that be ok  
with you?

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb